Bug 359001 - Disabled connect button when using IEEE80211X security with TTLS and PAP
Disabled connect button when using IEEE80211X security with TTLS and PAP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
: 364021 (view as bug list)
Depends On: NM07Tracker
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 15:31 EDT by Timo Hirt
Modified: 2008-01-07 11:02 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.7.0-0.6.6.svn3138.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timo Hirt 2007-10-30 15:31:35 EDT
Description of problem:

I would like to connect to a wlan which is secured with IEEE8021X but the
connect button of the network manager dialog seems to be disabled.

Version-Release number of selected component (if applicable):



How reproducible:

Manually add a new wireless network with IEEE8021X security. Fill in a username
and password and try to click the connect button.

Steps to Reproduce:
1. Left click at the NM icon.
2. Choose "Connect to Other Wireless Network..." 
3. Set any network name
4. Choose "Dynamic WEB (802.1x)" 
5. Set authentication to "Tunneled TLS"
6. Set inner authentication to PAP
7. Fill in username and password. 
8. you cant connect.
  
Actual results:

Cant connect because of that disabled connect button.

Expected results:

An enabled connect button if username and password are entered.

Additional info:
Comment 1 Dan Williams 2007-10-30 15:39:17 EDT
I assume you are not choosing a CA certificate?  Do you want to ignore
verification of the RADIUS server's certificate?  The applet currently requires
a CA certificate but I'm thinking of changing this to just nag you with a "this
isn't really secure, are you sure" instead of requiring one.
Comment 2 Timo Hirt 2007-10-30 15:57:28 EDT
You are completly right, CA certificates are not used for verification by the
wlan I am accessing. Would be great for a lot of students here if you could
build in this nag.
Comment 3 drago01 2007-10-30 16:07:12 EDT
+ 1 on not forcing it.
Comment 4 Dan Williams 2007-11-06 11:12:18 EST
Working on this now
Comment 5 Dan Williams 2007-11-06 11:12:42 EST
*** Bug 364021 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2007-11-28 20:44:03 EST
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'
Comment 7 Dave Stikkolorum 2007-11-29 04:31:24 EST
Now nm-applet crashes with the following error.
(started from command line, after updating with testing rpm and restarting NM
service)

** ERROR **: file eap-method-ttls.c: line 210 (nag_user): assertion failed: (dialog)
aborting...
Comment 8 Dave Stikkolorum 2007-11-29 04:32:21 EST
Accespoint config: dynnamic WEB - TTLS PAP - no certificate
Comment 9 Fedora Update System 2007-12-03 00:35:42 EST
NetworkManager-0.7.0-0.6.6.svn3109.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Hans de Goede 2007-12-03 05:14:10 EST
I see the update has been pushed to stable update, but for my college Dave the
problem still exists with NetworkManager-0.7.0-0.6.6.svn3109.fc8, see comment 7
and 8.
Comment 11 Dan Williams 2007-12-03 10:01:50 EST
I got a backtrace from somebody, will work on that today.  Need to be able to
reproduce; but bodhi pushes updates out when they get 3 karma or more or
something like that.  The update doesn't make the problem _worse_ so I think
that's a fair tradeoff for the moment.  Thanks for reopening.
Comment 12 Fedora Update System 2007-12-07 16:34:21 EST
NetworkManager-0.7.0-0.6.6.svn3138.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'
Comment 13 Dave Stikkolorum 2007-12-20 07:46:16 EST
I tried the update and it no longer crashes 
but still doesn't connect with dynamic wep (TTLS and PAP)
Under F7 it used to work.

I can connect with wpa_supplicant using the following commands:
wpa_supplicant -Dwext -ieth1 -c /etc/wpa_supplicant/wpa_supplicant.conf 

Config file (wpa_supplicant.conf):
ctrl_interface=/var/run/wpa_supplicant
eapol_version=1

network={
        ssid="HHS-802-1x"
        scan_ssid=1
        key_mgmt=IEEE8021X
        eap=TTLS
        phase2="auth=PAP"
        identity="xxxxxxx"
        password="xxxxxxx"
    }
                                                    
Comment 14 Fedora Update System 2008-01-06 20:18:28 EST
NetworkManager-0.7.0-0.6.6.svn3138.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Hans de Goede 2008-01-07 03:31:09 EST
Note this still does not work with my work's WLAN (tested using a college's
(Dave's) laptop. The connect button works now and it no longer crashes, but it
doesn't connect (which used to work with Fedora 7, and works with wpa_supplicant
from the cmdline).  See comment #13, reopen or should we create a new bug for this?
Comment 16 drago01 2008-01-07 06:31:39 EST
(In reply to comment #15)
> Note this still does not work with my work's WLAN (tested using a college's
> (Dave's) laptop. The connect button works now and it no longer crashes, but it
> doesn't connect (which used to work with Fedora 7, and works with wpa_supplicant
> from the cmdline).  See comment #13, reopen or should we create a new bug for
this?
> 

For me this did not work until NetworkManager-0.7.0-0.6.7.svn3204.fc8 (grabed
from koji) you will need a libnl and libdhcp update.
But now I can connect to dynamic wep/ttls with mschapv2.
Comment 17 Hans de Goede 2008-01-07 11:02:12 EST
Ah,

svn3204 being in tested was never added as a comment to this bug, however
svn3204 + the new libnl and libdhcp from updates-testing also fixes wireless
through networkmanager here, Thanks!

Note You need to log in before you can comment on or make changes to this bug.